### Method

# Gdk KeyEventmatches

#### Declaration [src]

    GdkKeyMatch
    gdk_key_event_matches (
      GdkEvent* event,
      guint keyval,
      GdkModifierType modifiers
    )

#### Description [src]

Matches a key event against a keyval and modifiers.

This is typically used to trigger keyboard shortcuts such as Ctrl-C.

Partial matches are possible where the combination matches if the currently active group is ignored.

Note that we ignore Caps Lock for matching.

#### Parameters

`keyval`

  Type: `guint`

  The keyval to match.

`modifiers`

  Type: `GdkModifierType`

  The modifiers to match.

#### Return value

Type: `GdkKeyMatch`

A `GdkKeyMatch` value describing whether `event` matches.